Subject: Re: bug#44273: "total used in directory 19 available 5.2 GiB"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 01 Nov 2020 12:38:12 +0100

Juri Linkov <[email-masked]> writes:

> This line contains very useful information that I check all the time:
> free disk space.

Yes, free disk space is nice to know, and could, for instance, be
displayed in the mode line (in dired mode buffers).

> Also space used by directory could be useful when displayed in a
> human-readable format like free space is already displayed.

It only displays the space used directly in the current directory, which
is (in general) not interesting information.  (I.e., it doesn't descend
into sub-directories and count the usage there, so in any directory that
has a sub-directory, the data is misleading at best.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no